x = seq(1, 4, len=30)
y = seq(-3, 3, len=80)
Z=outer(exp(-x), sin(3*y))
cmapLength = 20
# reverse violet-to-red rainbow colormap similar to Matlab "jet" colormap
cmap = rev(rainbow(cmapLength, end=5/6))
cmapg = gray(seq(0, 1, len=cmapLength))  # or use gray colormap
# Calculate matrix of bins for Z values
edges = seq(min(Z), max(Z), len=cmapLength)  # edges of the bins
bins=array(findInterval(Z, edges, rightmost.closed=TRUE), dim=dim(Z))
bins = bins[1:(length(x)-1),1:(length(y)-1)]
persp(x, y, Z, col=cmap[bins], theta=-40, phi=30, ticktype='detailed')
