function retval = L(v, x, y)
% Sum of squared residuals for quadratic polynomial with zero intercept
% The polynomial is c1*x + c2*x^2  where v(1)=c1 and v(2)=c2
c1 = v(1);
c2 = v(2);

yhat = c1*x + c2*x.^2;  % fitted values
retval = sum((y - yhat).^2);
