fid = fopen('mynumbers-Rcomments.txt');  % open the file
A = [ ];  % initialize empty matrix
while 1
  tline = fgetl(fid);  % read next line
  if ~ischar(tline), break, end  % exit loop if end-of-file
  tmp = textscan(tline, '%f', 'CommentStyle', '#');
  v = tmp{1};  % extract cell element as a vector
  % The line may have only contained comments.
  % If we got any actual data, append to bottom of matrix A.
  if (length(v) > 0), A = [A ; v(:)']; end
end
fclose(fid);
