birthdeath = function(phi, mu, s) {
  birthProb = phi/(phi+mu)  # probability a given event is a birth
  eventTimes = double(s);  popVec = integer(s)
  eventTimes[1] = 0.0;  popVec[1] = 100
  for (i in 1:(s-1)) {
    # Inter-event time: generate a random value from exponential
    # distribution with mean 1/(popSize*(phi+mu))
    r = rexp(1,popVec[i]*(phi+mu))
    eventTimes[i+1] = eventTimes[i] + r
    if (runif(1) < birthProb) {
      popVec[i+1] = popVec[i] + 1  # event is a birth
    } else {
      popVec[i+1] = popVec[i] - 1  # event is a death
    }
  }
  return(list(eventTimes,popVec))
}
