#include "mex.h"

void
mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  int n;

  n = (int)mxGetScalar(prhs[0]);
  if (n % 2)
    mexWarnMsgIdAndTxt("RMatlab:testprint:argAttributes",
		      "n was odd; it had value %d\n", n);
  if (n < 0)
    mexErrMsgIdAndTxt("RMatlab:testprint:argAttributes",
		      "n was negative!  It had value %d\n", n);
  mexPrintf("n=%d\n", n);
}
